<title>PDF3D | Release Version Check</title>




<?php include("wp-blog-header.php");?>



<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @package Consultio
 */
 
$content_404_page = "";              
$btn_text_404_page = "";

$sidebar_pos = '';
$show_sidebar_page = consultio_get_page_opt( 'show_sidebar_page', false );
if ($show_sidebar_page){
    $sidebar_pos = consultio_get_page_opt( 'sidebar_page_pos' );
}

get_header();

?>

<style>


body.error404 .site-content {
    background-image: none;
}

@media screen and (min-width: 600px){
      .site-main {
         padding: 0px 50px;
      }
}


</style>




<!--
<section class="page-top">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <ul class="breadcrumb">
                    <!-- Breadcrumb NavXT 5.0.0 --
                    <li class="home"><a title="Go to PDF3D." href="https://www.pdf3d.com" class="home">PDF3D</a></li>
                    <li class="current_item">Release Version Check</li>
                </ul>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <h2>Release Version Check</h2>
            </div>
        </div>
    </div>
</section>

-->

<div class="container content-container">
        <div class="row content-row">
            <div id="primary" >
                <main id="main" class="site-main">
                            <h2 class="shorter">Your Version Status</h2>
<?php

  // this goes in top directory of website
  // release version check, installed applications can use this
  // to see if they need to update, such as "check for updates" button on app
  // Expected input URL is the form:
  // https://www.pdf3d.com/release_version_check.php?value=UERGM0RSZXBvcnRHZW46Mi40LjA6eDMyOkxNWA==

  //
  // *** CURRENT PRODUCT TABLE ***
  // Put product names, and the current version available here:
  // 
  //                --PRODUCT--           --VERSION--
  $latest = array( 'PDF3DReportGen'      => '2.20.0',
                   'PDF3DXmlServer'      => '2.20.0',
                   'PDF3D-IO'            => '2.20.0',
                   'PDF3DParaViewPlugin' => '2.17.0',
                   'PDF3D_in_PowerPoint' => '2.6.0',
                   'PDF3D-SDK'           => '2.19.0',
                   'PDF3D-KOMPAS'        => '2.8.0',
                   'GeoExpress'          => '7.2.1',
                   'Test1'               => '7.7.99',
                   'Test2'               => '5.7.99' );

  //
  // *** CURRENT PRODUCT TABLE ***
  //

  // get from URL arg, single value
  $userValue_encoded = $_GET["value"];
  
  // expect input string is encoded with base64, so decode to normal text:
  $userValue_raw = base64_decode($userValue_encoded);
  $userValue = htmlentities($userValue_raw, ENT_QUOTES);
  //$userValue =  "PDF3DReportGen:2.4.0:x32:LMX";
  // use ':' as separator to pull out key fields
  // typical structure of string: "PDF3DReportGen:2.4.0:x32:LMX"
  list($prod, $ver, $platform) = explode(":", $userValue);

  // Check request against list:
  $found_in_list = 0;
  while (list($keys,$values) = each($latest)) {

      // search through products (case insensitive):
      if (strcasecmp($keys, $prod) == 0) {
          $found_in_list = 1;

          // compare versions
          $vdiff = version_compare($values, $ver);
          if ($vdiff == 0) {
             // *** Current
             echo "<h3>Congratulations, you already have the current version, please check later.</h3>";
             echo "<p><a href=\".\"> Return to Home Page </a><p>";
          }
          elseif ($vdiff > 0) {
             // *** Need to Upgrade
             echo "<h3 class=\"greeting\">Upgrade Available, Submit Request Upgrade Form: </h3>";
              echo "<div id=\"indexDefaultMainContent\" class=\"col-md-6\">";
                echo "<form method=\"post\" action=\"sendmail.php\">";

                 echo "<fieldset> <label> Name: </label>";
                   echo "<input name=\"name\" type=\"text\" class=\"form-control\" size=60 /><br />";
                 echo "</fieldset>";

                 echo "<fieldset>";
                   echo "<label> Company, Organization: </label>";
                   echo "<input name=\"company\" type=\"text\"  class=\"form-control\" size=60 /><br />";
                 echo "</fieldset>";

                 echo "<fieldset>";
                   echo "<label> Company Email: </label>";
                   echo "<input name=\"email\" type=\"text\"  class=\"form-control\" size=60 /><br />";
                 echo "</fieldset>";

                 echo "<fieldset>";
                   echo "<label> Upgrading Product: </label>";
                   echo "<input name=\"product\" type=\"text\" size=60  class=\"form-control\" value=\"Upgrade ". $userValue ." >>> " .$values."\" /><br />";
                 echo "</fieldset>";

                 echo "<fieldset>";
                   echo "<label> Optional Comments: </label>";
                   echo "<textarea name=\"message\"  class=\"form-control\" rows=6 cols=35>";
                   echo "</textarea><br />";
                 echo "</fieldset>";

                 echo "<input class=\"btn\" type=\"submit\" />";
                echo "</form>";
                echo "<hr>";
             echo "</div>";


          }
          else {
             // *** Already ahead of release version!
             echo "<h3> You appear to have a more recent than current release, no updates are currently available! </h3>";
             echo "<p><a href=\".\"> Return to Home Page </a><p>";
          }
      }
  }
  if ($found_in_list == 0) {
      echo "<p> Product: ". $prod ." not found, please contact support.</p>";
      echo "<p>". $userValue  ." </p>";
  }

?>

                    </main><!-- #main -->
            </div><!-- #primary -->

            <?php if ( 'left' == $sidebar_pos || 'right' == $sidebar_pos ) : ?>
                <aside id="secondary" <?php consultio_secondary_class( $sidebar_pos, 'widget-area' ); ?>>
                    <?php dynamic_sidebar( 'sidebar-page' ); ?>
                </aside>
            <?php endif; ?>

        </div>  
    </div>


    	</div><!-- #content inner -->
</div><!-- #content -->

<?php

$back_totop_on = consultio_get_opt('back_totop_on', 'show');
$page_back_totop = consultio_get_page_opt('page_back_totop', 'themeoption');
if(isset($page_back_totop) && !empty($page_back_totop) && $page_back_totop != 'themeoption') {
	$back_totop_on = $page_back_totop;
}



$footer_layout_custom = consultio_get_opt('footer_layout_custom');
$custom_footer = consultio_get_page_opt('custom_footer', 'false');
$footer_layout_custom_page = consultio_get_page_opt('footer_layout_custom');
if($custom_footer && !empty($footer_layout_custom_page) ) {
    $footer_layout_custom = $footer_layout_custom_page;
}
?>


<footer id="colophon" class="site-footer-custom">
    <?php if(!empty($footer_layout_custom)) :  ?>
        <div class="footer-custom-inner">
            <div class="">
                <div class="row">
                    <div class="col-12">
                        <?php $_post = get_post($footer_layout_custom);
                        if (!is_wp_error($_post) && $_post->ID == $footer_layout_custom && class_exists('Case_Theme_Core') && function_exists('ct_print_html')){
                            $content = \Elementor\Plugin::$instance->frontend->get_builder_content( $footer_layout_custom );
                            ct_print_html($content);
                        } ?>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>
    <span class="ct-footer-year"><?php echo esc_attr(date("Y")); ?></span>
</footer>

<?php if (isset($back_totop_on) && $back_totop_on == 'show') : ?>
    <!--<a href="#" class="scroll-top"><i class="zmdi zmdi-long-arrow-up"></i></a>-->
<?php endif; ?>

</div><!-- #page -->
<?php consultio_icon_cart_bar(); ?>
<?php consultio_search_popup(); ?>
<?php consultio_sidebar_hidden(); ?>
<?php consultio_cart_sidebar(); ?>
<?php consultio_newsletter_popup(); ?>
<?php consultio_mouse_move_animation(); ?>
<?php wp_footer(); ?>